<?php

// QuickTicket 1.8 build:20080627

/*
 * CLASS cSection
 *
 */

class cSection
{

// -- Properties --

var $domid;     // Domain id
var $domname;   // Domain name
var $id;        // Section id
var $name;      // Section name
var $descr;     // Section descr
var $type;      // Type:   0=visible, 1=hidden, 2=hidden by user
var $status;    // Status: 0=actif,   1=closed
var $notify;    // Notify: 0=disable, 1=enabled
var $modid;     // Moderator id
var $modname;   // Moderaotr name
var $topics;    // Total topics (including news)
var $replies;   // Total replies (type R and F), not D
var $numfield;  // Format of the ref number: 'N' means no ref number
var $titlefield;// Topic title: 0=None, 1=Optional, 2=Mandatory
var $infofield; // Last column in the topic list: 'N' means no last column
var $wisheddate;// Topic wisheddate: 0=None, 1=Optional, 2=Mandatory
var $notifycc;  // Topic alternate notify: 0=None, 1=Optional, 2=Mandatory
var $prefix;    // Prefix icon from the serie 'a'
/* computed values */
var $lastpostid;
var $lastposttopic;
var $lastpostdate;
var $lastpostuser;
var $lastpostname;

// -- Constructor method (accept an id, an array or a cSection as parameter) --

function cSection($oDB=null,$aSection=null,$bLast=false)
{
  if ( isset($aSection) )
  {
    if ( is_int($aSection) )
    {
      if ( $aSection<0 ) die('No section '.$aSection);
      $oDB->Query('SELECT f.*,d.title as domtitle FROM '.TABSECTION.' f INNER JOIN '.TABDOMAIN.' d ON d.id=f.domainid WHERE f.id='.$aSection);
      $row = $oDB->Getrow();
      if ( $row===False )
      {
        unset($_SESSION['qtiGoto']);
        unset($_SESSION['qtiTstatus']);
        unset($_SESSION['qtiTtypes']);
        unset($_SESSION['qtiDomains']);
        die('No section '.$aSection);
      }
      $this->MakeSectionFromArray($row);
    }
    elseif ( is_array($aSection) )
    {
      $this->MakeSectionFromArray($aSection);
    }
    elseif ( strtolower(get_class($aSection))=='csection' )
    {
      $this->domid        = $aSection->domid;
      $this->domname      = $aSection->domname;
      $this->id           = $aSection->id;
      $this->name         = $aSection->name;
      $this->descr        = $aSection->descr;
      $this->type         = $aSection->type;
      $this->status       = $aSection->status;
      $this->notify       = $aSection->notify;
      $this->modid        = $aSection->modid;
      $this->modname      = $aSection->modname;
      $this->topics       = $aSection->topics;
      $this->replies      = $aSection->replies;
      $this->numfield     = $aSection->numfield;
      $this->titlefield   = $aSection->titlefield;
      $this->infofield    = $aSection->infofield;
      $this->wisheddate   = $aSection->wisheddate;
      $this->notifycc     = $aSection->notifycc;
      $this->prefix       = $aSection->prefix;
      $this->lastpostid   = $aSection->lastpostid;
      $this->lastposttopic= $aSection->lastposttopic;
      $this->lastpostdate = $aSection->lastpostdate;
      $this->lastpostuser = $aSection->lastpostuser;
      $this->lastpostname = $aSection->lastpostname;
    }
    else
    {
      die('Invalid constructor parameter #1 for the class cSection');
    }
  }
  if ( $bLast ) $this->GetSectionLastPost($oDB);
}

// --------

function MakeSectionFromArray($aSection)
{
  foreach ($aSection as $strKey => $oValue) {
  switch ($strKey) {
    case 'domainid':     $this->domid     = $oValue; break;
    case 'domtitle':     $this->domname   = $oValue; break;
    case 'id':           $this->id        = $oValue; break;
    case 'title':        $this->name      = $oValue; break;
    case 'description':  $this->descr     = $oValue; break;
    case 'type':         $this->type      = intval($oValue); break;
    case 'status':       $this->status    = intval($oValue); break;
    case 'notify':       $this->notify    = intval($oValue); break;
    case 'moderator':    $this->modid     = $oValue; break;
    case 'moderatorname':$this->modname   = $oValue; break;
    case 'topics':       $this->topics    = intval($oValue); break;
    case 'replies':      $this->replies   = intval($oValue); break;
    case 'numfield':     $this->numfield  = $oValue; break;
    case 'titlefield':   $this->titlefield= intval($oValue); break;
    case 'infofield':    $this->infofield = $oValue; break;
    case 'wisheddate':   $this->wisheddate= intval($oValue); break;
    case 'alternate':    $this->notifycc  = intval($oValue); break;
    case 'prefix':       $this->prefix    = $oValue; break;
  }} 
}

// --------

function GetSectionLastPost($oDB)
{
  $this->lastpostid = null;
  $this->lastposttopic = null;
  $this->lastpostdate = null;
  $this->lastpostuser = null;
  $this->lastpostname = null;
  if ( $this->id<0 ) return null;
  if ( $this->topics==0 ) return null;

  // attention: this subquery requires mysql 4.1 (thus, use here two queries)
  $oDB->Query('SELECT MAX(id) as maxid FROM '.TABPOST.' WHERE forum='.$this->id);
  $row = $oDB->Getrow();
  $intIdlast = $row['maxid'];
  if ( is_numeric($intIdlast) )
  {
    $strQ = 'SELECT id,topic,issuedate,userid,username FROM '.TABPOST.' WHERE id='.$intIdlast;
    $oDB->Query($strQ);
    if ( $row=$oDB->Getrow() )
    {
    $this->lastpostid   = intval($row['id']);
    $this->lastposttopic= intval($row['topic']);
    $this->lastpostdate = $row['issuedate'];
    $this->lastpostuser = intval($row['userid']);
    $this->lastpostname = $row['username'];
    }
  }
}

// --------

function MoveContent($oDB,$intSrc=-1,$intDest=0,$intRenum=1,$intTopic=-1,$bClosedOnly=false)
{

  if ( $intSrc<0 || $intDest<0 ) { echo 'cSection->MoveContent: Wrong source/destination id'; Return False; }
  if ( $intSrc==$intDest ) { echo 'cSection->MoveContent: Same source/destination id'; Return False; }

  $strTopic = '';
  $strPost = '';
  $strField = ''; if ( $intRenum==0 ) $strField = ', numid = 0';

  // if move only one topic
  if ( $intTopic>=0 )
  {
    $strTopic=" AND id=$intTopic";
    $strPost=" AND topic=$intTopic";
    if ( $intRenum==2 ) 
    {
    $nextnumid = QTnextid($oDB,TABTOPIC,'numid','WHERE forum='.$intDest);
    $strField = ', numid='.intval($nextnumid);
    }
    $bClosedOnly=false;
  }
  else
  {
    if ( $intRenum==2 )
    {
    $nextnumid = QTnextid($oDB,TABTOPIC,'numid','WHERE forum='.$intDest);
    $oDB->Query('SELECT MIN(numid) as minnumid FROM '.TABTOPIC.' WHERE forum='.$intSrc);
    $row = $oDB->Getrow();
    $minnumid = $row['minnumid'];
    $strField = ", numid = $nextnumid + (numid - $minnumid)";
    }
  }

  // check if prefix system are the same. If not, remove the prefix.
  $strSetPrefix = '';
  if ( !empty($this->prefix) )
  {
    $oDB->Query('SELECT prefix FROM '.TABSECTION.' WHERE id='.$intDest);
    $row = $oDB->Getrow();
    if ( $row['prefix']!=$this->prefix ) $strSetPrefix = ',icon="00"';
  }

  // update topics and posts
  if ( $bClosedOnly )
  {
    $arr = array();
    $oDB->Query('SELECT id FROM '.TABTOPIC.' WHERE forum='.$intSrc.' AND status="Z" AND type="T"');
    while($row=$oDB->Getrow())
    {
      $arr[] = $row['id'];
    }
    foreach($arr as $intKey => $intSection)
    {
    $oDB->Query('UPDATE '.TABTOPIC." SET forum=$intDest $strField WHERE id=$intSection");
    $oDB->Query('UPDATE '.TABPOST." SET forum=$intDest $strSetPrefix WHERE topic=$intSection");
    }
  }
  else
  {
    $strQ  = 'UPDATE '.TABTOPIC." SET forum=$intDest $strField WHERE forum=$intSrc $strTopic";
    $oDB->Query($strQ);
    $strQ  = 'UPDATE '.TABPOST." SET forum=$intDest $strSetPrefix WHERE forum=$intSrc $strPost";
    $oDB->Query($strQ);
  }

  // stats
  UpdateSectionStats($oDB,$intSrc);
  UpdateSectionStats($oDB,$intDest);
}

// --------

function DeleteContent($oDB,$intSection=-1,$bClosedOnly=false)
{
  // check
  if ( $intSection<0 ) die('cSection->DeleteContent: Wrong section id [-1]');

  // delete topics and posts
  if ( $bClosedOnly )
  {
    $arr = array();
    $oDB->Query('SELECT id FROM '.TABTOPIC.' WHERE forum='.$intSection.' AND status="Z" AND type="T"');
    while($row=$oDB->Getrow())
    {
      $arr[] = $row['id'];
    }
    foreach($arr as $intKey => $id)
    {
      $oDB->Query('DELETE FROM '.TABPOST.' WHERE topic='.$id);
      $oDB->Query('DELETE FROM '.TABTOPIC.' WHERE id='.$id);
    }
    UpdateSectionStats($oDB,$intSection);
  }
  else
  {
    $oDB->Query('DELETE FROM '.TABPOST.' WHERE forum='.$intSection);
    $oDB->Query('DELETE FROM '.TABTOPIC.' WHERE forum='.$intSection);
    $oDB->Query('UPDATE '.TABSECTION.' SET topics=0, replies=0 WHERE id='.$intSection);
  }
}

// --------

function SectionCount($oDB,$str='topics',$intSection=null,$d=10)
{

  // Allow instanciation
  if ( !isset($intSection) ) $intSection = $this->id;
  
  if ( $intSection<0 )
  {
    echo get_class($this).'->CountNews: Wrong section id -1';
    Return False;
  }

  switch($str)
  {
  case 'topics': $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intSection); break;
  case 'news':   $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intSection.' AND type="A"'); break;
  case 'closed': $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC.' WHERE status="Z" AND forum='.$intSection.' AND type="T"'); break;
  case 'unreplied':
    if ( $d<1 ) die('Wrong day in section->CountUnreplies');
    $strQ = 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intSection.' AND replies=0 AND '.DateAddBeforeNow($oDB,'firstpostdate',$d);
    $oDB->Query($strQ);
    break;
  case 'unrepliednews':
    if ( $d<1 ) die('Wrong day in section->CountUnreplies');
    $strQ = 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE forum='.$intSection.' AND type="A" AND replies=0 AND '.DateAddBeforeNow($oDB,'firstpostdate',$d);
    $oDB->Query($strQ);
    break;
  default: return 0;
  }
  //return value
  $row = $oDB->Getrow();
  return intval($row['countid']);
}

// --------

}

?>