<?php

// QuickTicket 1.8 build:20080627

session_start();

if ( isset($_SESSION['qti_setup_lang']) ) { $strLang = $_SESSION['qti_setup_lang']; } else { $strLang = 'en'; }
include('qti_lang_'.$strLang.'.php');
include('../bin/config.php');
include('../bin/qt_lib_db.php');

$strAppl = 'QuickTicket 1.8';
$strPrevUrl = 'qti_setup_2.php';
$strNextUrl = '../qti_usr_login.php?dfltname=Admin';
$strPrevLabel= $L['Back'];
$strNextLabel= $L['Finish'];

// CHECK DB VERSION (in case of update)
$oDB = new cDB($qti_dbsystem,$qti_host,$qti_database,$qti_user,$qti_pwd,$qti_port,$qti_dsn);
if ( !empty($oDB->error) ) die ('<p style="color:red">Connection with database failed.<br/>Check that server is up and running.<br/>Check that the settings in the file <b>bin/config.php</b> are correct for your database.</p>');

$oDB->Query('SELECT setting FROM '.$qti_prefix.'qtisetting WHERE param="version"');
$row=$oDB->Getrow();
if ( $row['setting']!='1.7' && $row['setting']!='1.8' ) 
{
  $oDB->Query('UPDATE '.$qti_prefix.'qtisetting SET setting="1.7" WHERE param="version"');
  if ( isset($qti_install) ) { define('QT','qti'.substr($qti_install,-1)); } else { define('QT','qti'); }
  if ( isset($_SESSION[QT]['version']) ) $_SESSION[QT]['version']='1.7';

  switch ($oDB->type)
  {
  case 'mysql':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser MODIFY x decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser MODIFY y decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser MODIFY z decimal(13,2)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic MODIFY x decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic MODIFY y decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic MODIFY z decimal(13,2)');
    break;
  case 'mssql':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ALTER COLUMN x decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ALTER COLUMN y decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ALTER COLUMN z decimal(13,2)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ALTER COLUMN x decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ALTER COLUMN y decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ALTER COLUMN z decimal(13,2)');
    break;
  case 'pg':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ALTER COLUMN x TYPE decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ALTER COLUMN y TYPE decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ALTER COLUMN z TYPE decimal(13,2)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ALTER COLUMN x TYPE decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ALTER COLUMN y TYPE decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ALTER COLUMN z TYPE decimal(13,2)');
    break;
  case 'access':
    // already float
    break;
  case 'sqlite':
    // already real
    break;
  case 'ibase':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ALTER COLUMN x TYPE decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ALTER COLUMN y TYPE decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ALTER COLUMN z TYPE decimal(13,2)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ALTER COLUMN x TYPE decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ALTER COLUMN y TYPE decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ALTER COLUMN z TYPE decimal(13,2)');
    break;
  case 'db2':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ALTER COLUMN x SET DATA TYPE decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ALTER COLUMN y SET DATA TYPE decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser ALTER COLUMN z SET DATA TYPE decimal(13,2)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ALTER COLUMN x SET DATA TYPE decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ALTER COLUMN y SET DATA TYPE decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic ALTER COLUMN z SET DATA TYPE decimal(13,2)');
    break;
  case 'ifx':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser MODIFY (x decimal(13,10))');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser MODIFY (y decimal(13,10))');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser MODIFY (z decimal(13,2))');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic MODIFY (x decimal(13,10))');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic MODIFY (y decimal(13,10))');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic MODIFY (z decimal(13,2))');
    break;
  case 'oci':
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser MODIFY x decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser MODIFY y decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtiuser MODIFY z decimal(13,2)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic MODIFY x decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic MODIFY y decimal(13,10)');
    $oDB->Query('ALTER TABLE '.$qti_prefix.'qtitopic MODIFY z decimal(13,2)');
    break;
  }
  
}

if ( $row['setting']=='1.7' ) 
{
  $oDB->Query('UPDATE '.$qti_prefix.'qtisetting SET setting="1.8" WHERE param="version"');
  if ( isset($qti_install) ) { define('QT','qti'.substr($qti_install,-1)); } else { define('QT','qti'); }
  if ( isset($_SESSION[QT]['version']) ) $_SESSION[QT]['version']='1.8';
}

// --------
// HTML START
// --------

include('qti_setup_hd.php');

if ( isset($_SESSION['qtiInstalled']) )
{
echo '<p>Database 1.8 in place.</p>';
echo '<p>',$L['S_install_exit'],'</p>';
echo '<div style="width:350px; padding:10px; border-style:solid; border-color:#FF0000; border-width:1px; background-color:#EEEEEE">',$L['End_message'],'<br/>',$L['User'],': <b>Admin</b><br/>',$L['Password'],': <b>Admin</b><br/></div><br/>';
}
else
{
echo $L['N_install'];
}

echo '<p><a href="../check_install.php">',$L['Check_install'],'</a></p>';

// --------
// HTML END
// --------

include('qti_setup_ft.php');


?>
