<?php

// QuickTicket 1.8 build:20080627

switch($oDB->type)
{

case 'mysql':
  $strQ = 'CREATE TABLE '.$qti_prefix.'qtistatus (
  id char(1),
  name varchar(24),
  description varchar(255),
  icon varchar(24),
  mailto varchar(255),
  color varchar(24),
  PRIMARY KEY (id)
  )';
  break;

case 'mssql':
  $strQ = 'CREATE TABLE '.$qti_prefix.'qtistatus (
  id char(1) NOT NULL CONSTRAINT pk_'.$qti_prefix.'qtistatus PRIMARY KEY,
  name varchar(24) NULL default NULL,
  description varchar(255) NULL default NULL,
  icon varchar(24) NULL default NULL,
  mailto varchar(255) NULL default NULL,
  color varchar(24) NULL default NULL
  )';
  break;
  
case 'pg':
  $strQ = 'CREATE TABLE '.$qti_prefix.'qtistatus (
  id char(1),
  name varchar(24),
  description varchar(255),
  icon varchar(24),
  mailto varchar(255),
  color varchar(24),
  PRIMARY KEY (id)
  )';
  break;
  
case 'ibase':
  $strQ = 'CREATE TABLE '.$qti_prefix.'qtistatus (
  id char(1),
  name varchar(24),
  description varchar(255),
  icon varchar(24),
  mailto varchar(255),
  color varchar(24),
  PRIMARY KEY (id)
  )';
  break;

case 'sqlite':
  $strQ = 'CREATE TABLE '.$qti_prefix.'qtistatus (
  id text,
  name text,
  description text,
  icon text,
  mailto text,
  color text,
  PRIMARY KEY (id)
  )';
  break;

case 'access':
  $strQ = 'CREATE TABLE '.$qti_prefix.'qtistatus (
  id char(1) CONSTRAINT pk_'.$qti_prefix.'qtistatus PRIMARY KEY,
  name varchar(24),
  description varchar(255),
  icon varchar(24),
  mailto varchar(255),
  color varchar(24)
  )';
  break;

case 'db2':
  $strQ = 'CREATE TABLE '.$qti_prefix.'qtistatus (
  id char(1) NOT NULL,
  name varchar(24),
  description varchar(255),
  icon varchar(24),
  mailto varchar(255),
  color varchar(24),
  PRIMARY KEY (id)
  )';
  break;

case 'ifx':
  $strQ = 'CREATE TABLE '.$qti_prefix.'qtistatus (
  id char(1),
  name varchar(24),
  description varchar(255),
  icon varchar(24),
  mailto varchar(255),
  color varchar(24),
  PRIMARY KEY (id)
  )';
  break;

case 'oci':
  $strQ = 'CREATE TABLE '.$qti_prefix.'qtistatus (
  id char(1),
  name varchar2(24),
  description varchar2(255),
  icon varchar2(24),
  mailto varchar2(255),
  color varchar2(24),
  CONSTRAINT pk_'.$qti_prefix.'qtistatus PRIMARY KEY (id))';
  break;
  
default:
  die("Database type [{$oDB->type}] not supported... Must be mysql, mssql, pg, sqlite, firebird, db2, ifx or access");

}

echo '<div style="margin-left:20px; color:blue;">';
$b = $oDB->Query($strQ);
echo '</div>';

if ( !empty($oDB->error) || !$b )
{
  echo '<div class="div_setup_err">',sprintf ($L['E_install'],$qti_prefix.'qtistatus',$qti_database,$qti_user),'</div>';
  echo '<br/><table cellspacing="0" class="tab_button"><tr><td></td><td class="td_button" style="width:120px">&nbsp;<a href="qti_setup_1.php">',$L['Restart'],'</a>&nbsp;</td></tr></table>';
  exit;
}

// add default values

$oDB->Query('INSERT INTO '.$qti_prefix.'qtistatus (id,name,description,icon) VALUES ("A","Submitted","Ticket not yet assigned","ico_status0.gif")');
$oDB->Query('INSERT INTO '.$qti_prefix.'qtistatus (id,name,description,icon) VALUES ("B","In process","Ticket has been assigned","ico_status2.gif")');
$oDB->Query('INSERT INTO '.$qti_prefix.'qtistatus (id,name,description,icon,color) VALUES ("C","Completed","Action is completed","ico_status4.gif","#AFED9A")');
$oDB->Query('INSERT INTO '.$qti_prefix.'qtistatus (id,name,description,icon,color) VALUES ("X","Cancelled","Ticket has been cancelled","ico_status8.gif","#FF8181")');
$oDB->Query('INSERT INTO '.$qti_prefix.'qtistatus (id,name,description,icon,color) VALUES ("Z","Closed","Ticket is closed","ico_topic_t_1.gif","#EEEEEE")');

?>