<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2010 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.8 build:20080627
 * @link       http://www.qt-cute.org/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qti_init.php');
if ( $oVIP->role!='A' ) die($L['R_admin']);

if ( !isset($_GET['a'])) die('Wrong action');

// INITIALISE

include(Translate($_SESSION[QT]['language'],'qti_lang_adm.inc'));

$a = strip_tags($_GET['a']); // mandatory action
$s = -1; // section
$t = -1; // topic
$p = -1; // post
$v = ''; // value
if (isset($_GET['s'])) $s = intval(strip_tags($_GET['s']));
if (isset($_GET['t'])) $t = intval(strip_tags($_GET['t']));
if (isset($_GET['p'])) $p = intval(strip_tags($_GET['p']));
if (isset($_GET['v'])) $v = strip_tags($_GET['v']);

$oVIP->selfurl  = 'qti_adm_cmd.php';
$oVIP->selfname = 'QuickTicket command';

// --------
// EXECUTE COMMAND
// --------

switch($a)
{

// --------------
case 'deletesection':
// --------------

  if ( $s<1 ) die('Wrong id '.$s);

  $oVIP->selfname = $L['Section_del'];
  $oVIP->exiturl  = 'qti_adm_sections.php';
  $oVIP->exitname = '&laquo;'.S.$L['Section_man'];

  $oSection = new cSection($oDB,$s);

  // ask confirmation
  if ( !isset($_GET['ok']) )
  {
    // list topics
    if ( $oSection->topics>0 )
    {
      $strList = '<tr class="tr tr_o"><th class="th_o">&nbsp;</th><td class="td_o"><i><b>'.$L['H_Topics_delete'].'</b></i>&nbsp;&nbsp;<a href="qti_adm_cmd.php?a=topicmoveall&amp;s='.$s.'&amp;d=10">'.$L['Adm_topics_move'].' &raquo;</a></td></tr>';
    }
    else
    {
      $strList = '';
    }
  
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table class="tab tab_o" cellspacing="0">
    <tr class="tr tr_o">
    <th class="th_o th_o_first" style="width:150px">'.$L['Section'].'</th>
    <td class="td_o">'.$oSection->name.'</td>
    </tr>
    <tr class="tr tr_o">
    <th class="th_o th_o_first">'.$L['Containing'].'</th>
    <td class="td_o">'.LangS('Topic',$oSection->topics,$L).', '.LangS('Reply',$oSection->replies,$L).'</td>
    </tr>
    '.$strList.'
    <tr class="tr tr_o">
    <th class="th_o th_o_first">&nbsp;</th>
    <td class="td_o"><input type="hidden" name="a" value="'.$a.'"/><input type="hidden" name="s" value="'.$s.'"/><input type="submit" name="ok" value="'.$L['Delete'].'"/>
    </td>
    </tr>
    </table>
    </form>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // delete forum
  $oSection->DeleteContent($oDB,$s);
  $oDB->Query('DELETE FROM '.TABSECTION.' WHERE id='.$s);
  Unset($_SESSION[QT]['sys_topics']);
  Unset($_SESSION[QT]['sys_messages']);
  Unset($_SESSION['qtiGoto']);

  // exit
  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
case 'deletedomain':
// --------------

  if ( $s<1 ) die('Wrong id '.$s);

  $oVIP->selfname = $L['Domain_del'];
  $oVIP->exiturl  = 'qti_adm_sections.php';
  $oVIP->exitname = '&laquo;'.S.$L['Section_man'];

  // ask destination
  if ( !isset($_GET['ok']) )
  {
    $strTitle = $_SESSION['qtiDomains'][$s];
    $arrSections = GetSectionTitles($oDB,$oVIP->role,$s);

    // list the domain content
    if ( count($arrSections)==0 )
    {
      $strDcont = '<span class="small">0 '.$L['Section'].'</span>';
    }
    else
    {
      $strDcont = '';
      foreach ($arrSections as $intKey => $strValue)
      {
      $strDcont .= '<span class="small">'.$L['Section'].': '.$strValue.'</span><br/>';
      }
    }

    // list of domain destination
    if ( count($arrSections)>0 )
    {
      $arrDdest = array(); // array_diff_key() not supported in php<5.1
      foreach ($_SESSION['qtiDomains'] as $intKey => $strValue) { if ( $intKey!=$s ) $arrDdest[$intKey] = $strValue; }

      $strDdest = '<tr class="tr tr_o">
      <th class="th_o th_o_first">'.$L['Sections'].'</th>
      <td class="td_o">
      <select name="t" size="1" class="small">'.QTastags($arrDdest,$L['Move_to'].': %s').'</select>
      </td>
      </tr>';
    }    
    else
    {
      $strDdest = '';
    }

    // form
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table class="tab" cellspacing="0">
    <tr class="tr tr_o">
    <th class="th_o th_o_first" style="width:150px">'.$L['Title'].'</th>
    <td class="td_o"><b>'.$strTitle.'</b></td>
    </tr>
    <tr class="tr tr_o">
    <th class="th_o th_o_first">'.$L['Containing'].'</th>
    <td class="td_o">'.$strDcont.'</td>
    </tr>'.N.$strDdest.'
    <tr class="tr tr_o">
    <th class="th_o th_o_first">&nbsp;</th>
    <td class="td_o"><input type="hidden" name="a" value="'.$a.'"/><input type="hidden" name="s" value="'.$s.'"/><input type="submit" name="ok" value="'.$L['Delete'].'"/></td>
    </tr>
    </table>
    </form>',      
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // delete domain
  if ( $t>=0) $oDB->Query('UPDATE '.TABSECTION." SET domainid=$t WHERE domainid=$s");
  $oDB->Query('DELETE FROM '.TABDOMAIN." WHERE id=$s");
  Unset($_SESSION['qtiGoto']);

  // exit
  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
case 'deletestatus':
// --------------

  if ( $v=='A' || $v=='Z' ) die('Wrong id '.$v);

  $oVIP->selfname = $L['Status_del'];
  $oVIP->exiturl  = 'qti_adm_status.php';
  $oVIP->exitname = '&laquo;'.S.$L['Status_man'];

  // ask confirmation
  if ( !isset($_GET['ok']) || !isset($_GET['target']) )
  {
    // list of status destination
    $strSdest = '';
    foreach ( $_SESSION['qtiTstatus'] as $strKey => $arrDef)
    {
      if ( $strKey!=$v ) $strSdest .= '<option value="'.$strKey.'"/>'.$strKey.' - '.$arrDef['name'].'</option>';
    }
    
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table cellspacing="0" class="tab">
    <tr>
    <th class="th_o th_o_first" style="width:150px;">'.$L['Status'].'</th>
    <td class="td_o"><b>'.$v.'&nbsp;&nbsp;'.AsImg($_SESSION[QT]['skin_dir'].'/'.$_SESSION['qtiTstatus'][$v]['icon'],'-',$_SESSION['qtiTstatus'][$v]['description'],'ico_status').'&nbsp;&nbsp;'.$_SESSION['qtiTstatus'][$v]['name'].'</b></td>
    </tr>
    <tr>
    <th class="th_o th_o_first">'.$L['Description'].'</th>
    <td class="td_o">'.$_SESSION['qtiTstatus'][$v]['description'].'</td>
    </tr>
    <tr>
    <th class="th_o th_o_first">'.$L['Move'].'</th>
    <td class="td_o">'.$L['H_Status_move'].' <select name="target" size="1" class="small">'.$strSdest.'</select></td>
    </tr>
    <tr>
    <th class="th_o th_o_first">&nbsp;</th>
    <td class="td_o">
    <input type="hidden" name="a" value="'.$a.'"/>
    <input type="hidden" name="v" value="'.$v.'"/>
    <input type="submit" name="ok" value="'.$L['Delete'].'"/></td>
    </tr>
    </table>
    </form><br/>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // delete status
  $target = substr($_GET['target'],0,1);
  $oDB->Query('UPDATE '.TABTOPIC.' SET status="'.$target.'" WHERE status="'.$v.'"');
  $oDB->Query('DELETE FROM '.TABSTATUS.' WHERE id="'.$v.'"');
  unset($_SESSION['qtiTstatus']);

  // exit
  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
case 'topicdeleteall':
// --------------

  if ( $s<0 ) die('Wrong id '.$s);
  $days = $_GET['d'];

  $oVIP->selfname = $L['Adm_topics_delete'];
  $oVIP->exiturl  = 'qti_adm_topic.php?d='.$days;
  $oVIP->exitname = '&laquo;'.S.$L['Topic_man'];

  $oSection = new cSection($oDB,$s);
  $intClosed = $oSection->SectionCount($oDB,'closed');
  $intNews= $oSection->SectionCount($oDB,'news');

  // ask confirmation
  if ( !isset($_GET['ok']) )
  {
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table cellspacing="0" class="tab">
    <tr>
    <th class="th_o th_o_first" style="width:150px;">'.$L['Section'].'</th>
    <td class="td_o">'.$oSection->name.'</td>
    </tr>
    <tr>
    <th class="th_o th_o_first">'.$L['Containing'].'</th>
    <td class="td_o">'.LangS('Topic',$oSection->topics,$L).' ('.LangS('News',$intNews,$L).', '.LangS('Reply',$oSection->replies,$L).')</td>
    </tr>
    <tr>
    <th class="th_o th_o_first">&nbsp;</th>
    <td class="td_o"><i><b>'.$L['H_Topics_delete'].'</b></i></td>
    </tr>
    <tr>
    <th class="th_o th_o_first">&nbsp;</th>
    <td class="td_o">
    <input type="hidden" name="a" value="'.$a.'"/>
    <input type="hidden" name="s" value="'.$s.'"/>
    <input type="hidden" name="d" value="'.$days.'"/>
    <input type="submit" name="ok" value="'.$L['Delete'].'"/> <span class="small">('.$oSection->topics.')</span>&nbsp;&nbsp;'.( $intClosed>0 ? ' <input type="submit" name="ok" value="'.$L['Delete_closed'].'"/> <span class="small">('.$intClosed.')</span>' : '').'</td>
    </tr>
    </table>
    </form><br/>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // delete topics
  if ( $_GET['ok']==$L['Delete'] )
  {
  $oSection->DeleteContent($oDB,$s);
  }
  else
  {
  $oSection->DeleteContent($oDB,$s,true);
  }

  // exit
  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
case 'topicmoveall':
// --------------

  if ( $s<0 ) die('Wrong id '.$s);
  $days = $_GET['d'];

  $oVIP->selfname = $L['Adm_topics_move'];
  $oVIP->exiturl  = 'qti_adm_topic.php?d='.$days;
  $oVIP->exitname = '&laquo;'.S.$L['Topic_man'];

  $oSection = new cSection($oDB,$s);
  $intClosed = $oSection->SectionCount($oDB,'closed');
  $intNews =  $oSection->SectionCount($oDB,'news');
  $arrSections = GetSectionTitles($oDB,$oVIP->role,'-',$s);

  // ask confirmation
  if ( !isset($_GET['ok']) || $p<0 )
  {
    // list destinations
    $strFdest = QTastags($arrSections);

    // form
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table cellspacing="0" class="tab">
    <tr>
    <th class="th_o th_o_first" style="width:150px;">'.$L['Section'].'</th>
    <td class="td_o">'.$oSection->name.'</td>
    </tr>
    <tr>
    <th class="th_o th_o_first">'.$L['Containing'].'</th>
    <td class="td_o">'.LangS('Topic',$oSection->topics,$L).' ('.LangS('News',$intNews,$L).', '.LangS('Reply',$oSection->replies,$L).')</td>
    </tr>
    <tr>
    <th class="th_o th_o_first">'.$L['Move_to'].'</th>
    <td class="td_o"><select name="p" size="1">'.$strFdest.'</select></td>
    </tr>
    <tr class="tr tr_o">
    <th class="th_o th_o_first">'.$L['Ref'].'</th>
    <td class="td_o"><select name="v" size="1">
    <option value="1">'.$L['Move_keep'].'</option>
    <option value="0">'.$L['Move_reset'].'</option>
    <option value="2">'.$L['Move_follow'].'</option>
    </select></td>
    </tr>
    <tr>
    <th class="th_o th_o_first">&nbsp;</th>
    <td class="td_o"><input type="hidden" name="a" value="'.$a.'"/>
    <input type="hidden" name="s" value="'.$s.'"/>
    <input type="hidden" name="d" value="'.$days.'"/>
    <input type="submit" name="ok" value="'.$L['Move'].'"/> <span class="small">('.$oSection->topics.')</span>&nbsp;&nbsp;'.( $intClosed>0 ? ' <input type="submit" name="ok" value="'.$L['Move_closed'].'"/> <span class="small">('.$intClosed.')</span>' : '').'</td>
    </tr>
    </table>
    </form><br/>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // move topics
  if ( $s<0 ) die('Wrong parameters: missing forum id');

  if ( $_GET['ok']==$L['Move'] )
  {
  $oSection->MoveContent($oDB,$s,$p,intval($v));
  }
  else
  {
  $oSection->MoveContent($oDB,$s,$p,intval($v),-1,true);
  }

  // exit
  $oVIP->EndMessage(NULL,$L['S_update'],'admin',2);
  exit;
  break;

// --------------
case 'topicprune':
// --------------

  if ( $s<0 ) die('Wrong id '.$s);
  $d = 10; if ( isset($_GET['d']) ) $d = $_GET['d'];
  if ( $d<1 ) die('Wrong day '.$d);
  $intTopics = 0;
  $intNews = 0;
  if ( isset($_GET['tt']) ) $intTopics = $_GET['tt'];
  if ( isset($_GET['ta']) ) $intNews = $_GET['ta'];

  include('bin/qti_fn_limitsql.php');

  $oSection = new cSection($oDB,$s);
  $intU = $oSection->SectionCount($oDB,'unreplied',null,$d);
  $intUN = $oSection->SectionCount($oDB,'unrepliednews',null,$d);

  $oVIP->selfname = $L['Adm_topics_prune'];
  $oVIP->exiturl = 'qti_adm_topic.php?d='.$d;
  $oVIP->exitname = '&laquo;'.S.$L['Topic_man'];

  // ask confirmation
  if ( !isset($_GET['ok']) || ($intTopics+$intNews)==0 )
  {
    $i = $intU + $intUN;
    if ( isset($_GET['ok']) )
    {
      $qti_error = '<span class="error">'.$L['E_nothing_selected'].'</span><br/>';
    }
    else
    {
      $qti_error = '';
    }

    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'"><table class="tab" cellspacing="0">
    <tr class="tr tr_o">
    <th class="th_o th_o_first" style="width:150px;">'.$L['Section'].'</th>
    <td class="td_o"><b>'.$oSection->name.'</b></td>
    </tr>
    <tr class="tr tr_o">
    <th class="th_o th_o_first">'.$L['Containing'].'</th>
    <td class="td_o">'.LangS('Topic',$i,$L).' ('.LangS('News',$intUN,$L).')</td>
    </tr>
    <tr class="tr tr_o">
    <th class="th_o th_o_first">'.$L['Delete'].'</th>
    <td class="td_o">
    <input type="checkbox" id="tt" name="tt" value="'.$intU.'"'.($intU==0 ? QDIS : '').'/>&nbsp;<label for="t">'.LangS('Topic',$intU,$L).'</label><br/>
    <input type="checkbox" id="ta" name="ta" value="'.$intUN.'"'.($intUN==0 ? QDIS : '').'/>&nbsp;<label for="a">'.LangS('News',$intUN,$L).'</label></td>
    </tr>
    <tr class="tr tr_o">
    <th class="th_o th_o_first">&nbsp;</th>
    <td class="td_o"><i><b>'.sprintf($L['H_Topics_prune'],$d).'</b></i></td>
    </tr>
    <tr class="tr tr_o">
    <th class="th_o th_o_first">&nbsp;</th>
    <td class="td_o">
    <input type="hidden" name="a" value="'.$a.'"/>
    <input type="hidden" name="d" value="'.$d.'"/>
    <input type="hidden" name="s" value="'.$s.'"/>
    <input type="submit" name="ok" value="'.$L['Delete'].'"/>
    </td></tr>
    </table></form>'.$qti_error,
    'admin',
    0,
    '600px'
    );
    exit;
  }
  
  // dflt topics
  if ( $intTopics>0 )
  {
    $oDB->Query( 'SELECT t.id FROM '.TABTOPIC.' t WHERE t.forum='.$s.' AND t.replies=0 AND t.type="T" AND '.DateAddBeforeNow($oDB,'t.firstpostdate',$d) );
    $strId = '';
    while ($row = $oDB->Getrow())
    {
      $strId .= $row['id'].',';
    }
    if ( !empty($strId) )
    {
      $strId = substr($strId,0,-1);
      // delete posts and topics
      $oDB->Query( 'DELETE FROM '.TABPOST.' WHERE topic IN ('.$strId.')' );
      $oDB->Query( 'DELETE FROM '.TABTOPIC.' WHERE id IN ('.$strId.')' );
    }
  }

  // news topics
  if ( $intNews>0 )
  {
    $oDB->Query( 'SELECT t.id FROM '.TABTOPIC.' t WHERE t.forum='.$s.' AND t.replies=0 AND t.type="A" AND '.DateAddBeforeNow($oDB,'t.firstpostdate',$d) );
    $strId = '';
    while ($row = $oDB->Getrow())
    {
      $strId .= $row['id'].',';
    }
    if ( !empty($strId) )
    {
      $strId = substr($strId,0,-1);
      // delete posts and topics
      $oDB->Query( 'DELETE FROM '.TABPOST.' WHERE topic IN ('.$strId.')' );
      $oDB->Query( 'DELETE FROM '.TABTOPIC.' WHERE id IN ('.$strId.')' );
    }
  }

  // count topics this forum
  UpdateSectionStats($oDB,$s);

  // exit
  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
default:
// --------------

  echo 'Unknown action';
  break;

// --------------
}

$oVIP->EndMessage('!','Command ['.$a.'] failled...',$_SESSION[QT]['skin_dir'],2);

?>