<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2010 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.8 build:20080627
 * @link       http://www.qt-cute.org/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qti_init.php');
if ( $oVIP->role!='A' ) die($L['R_admin']);

// INITIALISE

$id = '-1';
if ( isset($_GET['id']) ) $id = strip_tags($_GET['id']);
if ( isset($_POST['id']) ) $id = strip_tags($_POST['id']);
if ( $id=='-1' ) die('Missing parameter id');

include(Translate($_SESSION[QT]['language'],'qti_lang_adm.inc'));

$oVIP->selfurl = 'qti_adm_status_upd.php';
$oVIP->exiturl = 'qti_adm_status.php';
$oVIP->selfname = $L['Status_upd'];
$oVIP->exitname = '&laquo;'.S.$L['Status_man'];

// --------
// SUBMITTED
// --------

if (isset($_POST['ok']))
{
  // check id
  $newid = strtoupper($_POST['newid']);
  if (!ereg('[A-Z]',$newid)) $qti_error="Id $newid ".$L['E_invalid'].' (B-Y)';

  // check unic id
  if ( empty($qti_error) )
  {
    if ($newid!=$id)
    {
    $oDB->Query('SELECT count(id) as countid FROM '.TABSTATUS.' WHERE id="'.$newid.'"');
    $row = $oDB->Getrow();
    if ($row['countid']>0) $qti_error = 'Id ['.$newid.'] '.$L['E_already_used'];
    }
  }

  // check name
  if ( empty($qti_error) )
  {
    $newname = strip_tags(trim($_POST['newname'])); if ( get_magic_quotes_gpc() ) $newname = stripslashes($newname);
    if ( $newname=='' ) $qti_error = $L['name'].S.$L['E_invalid'];
    $newname = QThtmlquote($newname,true,true,QTI_CONVERT_AMP);
  }

  // check description
  if ( empty($qti_error) )
  {
    $desc = strip_tags(trim($_POST['desc'])); if ( get_magic_quotes_gpc() ) $desc = stripslashes($desc);
    $desc = QThtmlquote($desc,true,true,QTI_CONVERT_AMP);
  }

  // check unic name
  if ( empty($qti_error) )
  {
    if ($newname!=$_POST['name'])
    {
    $oDB->Query('SELECT count(id) as countid FROM '.TABSTATUS.' WHERE name="'.$newname.'"');
    $row = $oDB->Getrow();
    if ($row['countid']>0) $qti_error = 'Name ['.$newname.'] '.$L['E_already_used'];
    }
  }

  // check color
  if ( empty($qti_error) )
  {
    $color = strip_tags(trim($_POST['color']));
  }

  // check icon
  if ( empty($qti_error) )
  {
    $icon = strip_tags(trim($_POST['icon']));
    $icon = htmlspecialchars($icon,ENT_QUOTES);
    if ( $icon!=trim($_POST['icon']) ) $qti_error = $L['Icon'].S.$L['E_invalid'];
  }

  // check notified
  if ( empty($qti_error) )
  {
    $lst_mail = array();
    if (isset($_POST['mailto'])) $lst_mail = $_POST['mailto'];
    $lst_others = explode(',',strip_tags(trim($_POST['others'])));
    $lst_saved = array();

    $i=array_search('U',$lst_mail);
    if ( ($i===false) || (is_null($i)) ) { $bolUser=false; } else { $bolUser=true; $lst_saved[] = 'U'; }
    $i=array_search('MA',$lst_mail);
    if ( ($i===false) || (is_null($i)) ) { $bolOper=false; } else { $bolOper=true; $lst_saved[] = 'MA'; }
    $i=array_search('MF',$lst_mail);
    if ( ($i===false) || (is_null($i)) ) { $bolMode=false; } else { $bolMode=true; $lst_saved[] = 'MF'; }
    $i=array_search('1',$lst_mail);
    if ( ($i===false) || (is_null($i)) ) { $bolAdmi=false; } else { $bolAdmi=true; $lst_saved[] = '1'; }
    $lst_saved = array_merge($lst_saved,$lst_others);
    $lst_saved = array_unique($lst_saved);
    $saved = implode(",",$lst_saved);
  }

  // update status
  if ( empty($qti_error) )
  {
    // update post status if required
    if ($newid!=$id)
    {
      $oDB->Query('UPDATE '.TABTOPIC.' SET status="'.$newid.'" WHERE status="'.$id.'"');
    }

    // update status
    $oDB->Query('UPDATE '.TABSTATUS.' SET id="'.$newid.'",name="'.$newname.'",color="'.$color.'",mailto="'.$saved.'",icon="'.$icon.'",description="'.$desc.'" WHERE id="'.$id.'"');

    //Exit
    unset($_SESSION['qtiTstatus']);
    $oVIP->EndMessage(NULL,$L['S_update'],'admin',2);
  }
}

// --------
// HTML START
// --------

$arrJava = array('com'=>false);

include('qti_adm_p_header.php');
include('qti_adm_p_title.php');

$oDB->Query('SELECT * FROM '.TABSTATUS.' WHERE id="'.$id.'"');
$row = $oDB->Getrow();

// ANALYSE NOTIFY

$lst_mail = explode(',',$row['mailto']);
$lst_mail = array_unique($lst_mail);
$others = '';

$i=array_search('U',$lst_mail);
if ( ($i===false) || (is_null($i)) ) { $bolUser=false; } else { unset($lst_mail[$i]); $bolUser=true; }
$i=array_search('MA',$lst_mail);
if ( ($i===false) || (is_null($i)) ) { $bolOper=false; } else { unset($lst_mail[$i]); $bolOper=true; }
$i=array_search('MF',$lst_mail);
if ( ($i===false) || (is_null($i)) ) { $bolMode=false; } else { unset($lst_mail[$i]); $bolMode=true; }
$i=array_search('1',$lst_mail);
if ( ($i===false) || (is_null($i)) ) { $bolAdmi=false; } else { unset($lst_mail[$i]); $bolAdmi=true; }

$others = implode(',',$lst_mail);

// DISPLAY RESULT

echo '<table cellspacing="0" class="tab_hidden">
<tr>
<td style="width:25px">',$id,'</td>
<td style="width:30px">',AsImg($_SESSION[QT]['skin_dir'].'/'.$row['icon'],'-',$row['description'],'ico_status'),'</td>
<td style="width:25px; text-align:center; background-color:',$row['color'],'; border-style:solid; border-color:#black; border-width:1px">&nbsp;</td>
<td style="width:10px">&nbsp;</td>
<td>',$row['name'],'</td>
</tr>
</table>
<br/>',N;
echo '<form method="POST" action="',$oVIP->selfurl,'">',N;
echo '<table width="500" cellspacing="0" class="tab">',N;

echo '<tr class="tr_o">';
echo '<th class="th_o th_o_all" colspan="2">',$L['Definition'],'</th>';
echo '</tr>',N;

echo '<tr>';
echo '<th class="th_o th_o_first" style="width:150px;"><label for="newid">Id</label></th>';
echo '<td class="td_o">';
if ( ($id=='A') || ($id=='Z') )
{
  echo $id.'&nbsp;<input type="hidden" name="newid" value="',$id,'"/>';
}
else
{
  echo '<input type="text" id="newid" name="newid" size="1" maxlength="1" value="',$id,'"/>';
}
echo '</td>';
echo '</tr>',N;
echo '<tr>';
echo '<th class="th_o th_o_first"><label for="newname">Name</label></th>';
echo '<td class="td_o"><input type="text" id="newname" name="newname" size="24" maxlength="24" value="',$row['name'],'"/></td>';
echo '</tr>',N;
echo '<tr>';
echo '<th class="th_o th_o_first"><label for="icon">Icon</label></th>';
echo '<td class="td_o"><input type="text" id="icon" name="icon" size="24" maxlength="64" value="',$row['icon'],'"/>&nbsp;',AsImg($_SESSION[QT]['skin_dir'].'/'.$row['icon'],'-',$row['description'],'ico_status'),'&nbsp;&nbsp;<a href="qti_adm_status_ico.php" target="_blank">show icons</a></td>';
echo '</tr>',N;
echo '<tr>';
echo '<th class="th_o th_o_first"><label for="desc">',$L['Description'],'</label></th>';
echo '<td class="td_o"><input type="text" id="desc" name="desc" size="64" maxlength="64" value="',$row['description'],'"/></td>';
echo '</tr>',N;
echo '<tr>';
echo '<th class="th_o th_o_first"><label for="color">',$L['Status_background'],'</label></th>';
echo '<td class="td_o"><input type="text" id="color" name="color" size="10" maxlength="24" value="',$row['color'],'"/>&nbsp;<span class="small">',$L['H_Status_background'],'</span></td>';
echo '</tr>',N;
echo '<tr>';
echo '<th class="th_o th_o_all" colspan="2">',$L['Options'],'</th>';
echo '</tr>',N;
echo '<tr style="vertical-align:top">';
echo '<th class="th_o th_o_first">',$L['Notification'],'</span></th>';
echo '<td class="td_o">';
echo '<table cellspacing="0" class="tab_hidden">';
echo '<tr valign="top">';
echo '<td width="200">';
echo '<input id="mailtoU" type="checkbox" name="mailto[]" value="U"',($bolUser ? QCHE : ''),'/><label for="mailtoU">',$L['Userrole']['U'],'</label><br/>';
echo '<input id="mailtoMA" type="checkbox" name="mailto[]" value="MA"',($bolOper ? QCHE : ''),'/><label for="mailtoO">',$L['Userrole_MA'],'</label><br/>';
echo '<input id="mailtoMF" type="checkbox" name="mailto[]" value="MF"',($bolMode ? QCHE : ''),'/><label for="mailtoM">',$L['Userrole_MF'],'</label><br/>';
echo '<input id="mailto1" type="checkbox" name="mailto[]" value="1"',($bolAdmi ? QCHE : ''),'/><label for="mailto1">',$L['Userrole']['A'],'</label><br/></td>';
echo '<td>Others notified:<br/>';
echo '<textarea id="others" name="others" cols="40" rows="2" maxlength="255"/>',$others,'</textarea><br/>';
echo '<span class="small">Type the user id separated by a comma (type S for all staff operators, A for all administrators)</span>';
echo '</td>';
echo '</tr>',N;
echo '</table>';
echo '</td>';
echo '</tr>',N;
echo '<tr>';
echo '<th class="th_o th_o_all" colspan="2" style="padding:6px; text-align:center"><input type="hidden" name="id" value="',$id,'"/><input type="hidden" name="name" value="',$row['name'],'"/><input type="submit" name="ok" value="',$L['Save'],'"/></th>';
echo '</tr>',N;
echo '</table>',N;
echo '</form><br/><a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a>',N,N;

// HTML END

include('qti_adm_p_footer.php');

?>