<?php

/*
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Troubleticket
 * @package    QuickTicket
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2007-2010 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    1.8 build:20080627
 * @link       http://www.qt-cute.org/doc/package/qti
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 2.0.0
 *
 */

session_start();
require_once('bin/qti_init.php');
if ( $oVIP->role!='A' ) die($L['R_admin']);

// INITIALISE

include(Translate($_SESSION[QT]['language'],'qti_lang_adm.inc'));
include('bin/qti_fn_limitsql.php');

$days = 10;
if ( isset($_GET['d']) ) $days = intval(strip_tags($_GET['d']));

$oVIP->selfurl = 'qti_adm_topic.php';
$oVIP->selfname = $L['Topic_man'];

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  $days = intval(trim($_POST['days']));
  if ( !QTisbetween($days,1,99) )
  {
  $qti_error = $L['Days'].S.$L['E_invalid'].' (1-99)';
  $days = 10;
  }
}

// --------
// HTML START
// --------

$arrJava = array('com'=>false);

include('qti_adm_p_header.php');
include('qti_adm_p_title.php');

// --------
// CONTENT
// --------

echo '<table class="tab tab_s" cellspacing="0">
<colgroup span="6"><col width="50"></col><col></col><col></col><col></col><col></col><col></col><col></col></colgroup>
<tr class="tr_s tr_s0">
<th class="th_o" colspan="2">',$L['Domain'],'/',$L['Section'],'</th>
<th class="th_o">',$L['Topics'],'&nbsp;</th>
<th class="th_o">',$L['Replys'],'&nbsp;</th>
<th class="th_o">',$L['Unreplied'],'*&nbsp;</th>
<th class="th_o">',$L['Action'],'</th>
</tr>
';

foreach ($_SESSION['qtiDomains'] as $intDomid => $strDomtitle)
{

  echo '<tr class="tr_s tr_s1">',N,'<td class="td_o_all" colspan="6">',$strDomtitle,'</td>',N,'</tr>',N;

  // GET FORUMS (with hidden)

  $arrSections = GetSectionTitles($oDB,'A',$intDomid);

  foreach ($arrSections as $intKey => $strValue)
  {
    $oSection = new cSection($oDB,$intKey);

    $intN  = $oSection->SectionCount($oDB,'news');
    $intU  = $oSection->SectionCount($oDB,'unreplied',null,$days);

    echo '<tr class="tr_s tr_s2">',N;
    echo '<td class="td_o" style="text-align:center">',AsImg($_SESSION[QT]['skin_dir'].'/ico_section_'.$oSection->type.'_'.$oSection->status.'.gif','S',$L['Ico_section_'.$oSection->type.'_'.$oSection->status],'ico_section'),'</td>';
    echo '<td class="td_o"><b>',$oSection->name,'</b><br/><span class="small">',$L['Section_type'][$oSection->type],($oSection->status==1 ? '('.$L['Section_status'][1].')' : ''),'</span></td>';
    echo '<td class="td_o td_o_sta" style="text-align:center;">',$oSection->topics,'</td>',N;
    echo '<td class="td_o td_o_sta" style="text-align:center;">',$oSection->replies,'</td>',N;
    echo '<td class="td_o td_o_sta" style="text-align:center;">',$intU,'</td>',N;
    echo '<td class="td_o td_o_sta" style="text-align:center;">',N;
    if ( $oSection->topics>0 )
    {
    echo '<a class="small" href="qti_adm_cmd.php?a=topicmoveall&amp;s=',$oSection->id,'&amp;d=',$days,'">',$L['Move'],'</a> &middot; ';
    echo '<a class="small" href="qti_adm_cmd.php?a=topicdeleteall&amp;s=',$oSection->id,'&amp;d=',$days,'">',$L['Delete'],'</a> &middot; ';
    }
    else
    {
    echo '<span class="disabled">',$L['Move'],'</span> &middot; ';
    echo '<span class="disabled">',$L['Delete'],'</span> &middot; ';
    }
    if ( $intU>0 )
    {
    echo '<a class="small" href="qti_adm_cmd.php?a=topicprune&amp;s=',$oSection->id,'&amp;d=',$days,'">',$L['Prune'],'</a>';
    }
    else
    {
    echo '<span class="disabled">',$L['Prune'],'</span>';
    }
    echo '</td>',N,'</tr>',N;
  }
}
echo '</table>
<br/>
<form method="post" action="',$oVIP->selfurl,'">
<fieldset style="width:450px; padding:5px; text-align:right;">
<legend>*',$L['Unreplied'],'</legend>',N;
echo sprintf($L['H_Unreplied'],'<input type="text" name="days" size="2" maxlength="2" value="'.$days.'" class="small"/>'),'&nbsp;<input name="ok" type="submit" value="',$L['Ok'],'"/><br/>
</fieldset>
</form>
<br/>',N;

// HTML END

include('qti_adm_p_footer.php');

?>